cc.funkemunky.api.reflection

## Class CraftReflection

- java.lang.Object
- - cc.funkemunky.api.reflection.CraftReflection

    public class CraftReflection
    extends java.lang.Object

### Field Summary

Fields
`static MethodInvoker` `blockInstance`
`static WrappedMethod` `bukkitEntity`
`static java.lang.Class<?>` `craftBlock`
`static java.lang.Class<?>` `craftEntity`
`static java.lang.Class<?>` `craftHumanEntity`
`static java.lang.Class<?>` `craftItemStack`
`static java.lang.Class<?>` `craftWorld`
`static MethodInvoker` `entityInstance`
`static MethodInvoker` `humanEntityInstance`
`static MethodInvoker` `itemStackInstance`
`static MethodInvoker` `worldInstance`

### Constructor Summary

Constructors
Constructor and Description
`CraftReflection()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.bukkit.entity.Entity` `getBukkitEntity(java.lang.Object vanillaEntity)`
`static java.lang.Object` `getEntity(org.bukkit.entity.Entity entity)`
`static java.lang.Object` `getEntityHuman(org.bukkit.entity.HumanEntity entity)`
`static java.lang.Object` `getVanillaBlock(org.bukkit.block.Block block)`
`static java.lang.Object` `getVanillaItemStack(org.bukkit.inventory.ItemStack stack)`
`static java.lang.Object` `getVanillaWorld(org.bukkit.World world)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### craftHumanEntity

    public static java.lang.Class<?> craftHumanEntity

#### craftEntity

    public static java.lang.Class<?> craftEntity

#### craftItemStack

    public static java.lang.Class<?> craftItemStack

#### craftBlock

    public static java.lang.Class<?> craftBlock

#### craftWorld

    public static java.lang.Class<?> craftWorld

#### itemStackInstance

    public static MethodInvoker itemStackInstance

#### humanEntityInstance

    public static MethodInvoker humanEntityInstance

#### entityInstance

    public static MethodInvoker entityInstance

#### blockInstance

    public static MethodInvoker blockInstance

#### worldInstance

    public static MethodInvoker worldInstance

#### bukkitEntity

    public static WrappedMethod bukkitEntity

### Constructor Detail

#### CraftReflection

    public CraftReflection()

### Method Detail

#### getVanillaItemStack

    public static java.lang.Object getVanillaItemStack(org.bukkit.inventory.ItemStack stack)

#### getEntityHuman

    public static java.lang.Object getEntityHuman(org.bukkit.entity.HumanEntity entity)

#### getEntity

    public static java.lang.Object getEntity(org.bukkit.entity.Entity entity)

#### getVanillaBlock

    public static java.lang.Object getVanillaBlock(org.bukkit.block.Block block)

#### getVanillaWorld

    public static java.lang.Object getVanillaWorld(org.bukkit.World world)

#### getBukkitEntity

    public static org.bukkit.entity.Entity getBukkitEntity(java.lang.Object vanillaEntity)